GNU Radio C++ API Reference: TimeRasterDisplayForm Class Reference

| GNU Radio C++ API Reference 3.10.12.0 The Free & Open Software Radio Ecosystem |

Loading...
Searching...
No Matches
TimeRasterDisplayForm Class Reference
GNU Radio C++ Signal Processing Blocks » QT Graphical Interfaces

DisplayForm child for managing time raster plots. More...

`#include <gnuradio/qtgui/timerasterdisplayform.h>`

## Public Slots
void | customEvent (QEvent *e) override
void | setNumRows (double rows)
void | setNumCols (double cols)
void | setNumRows (QString rows)
void | setNumCols (QString cols)
void | setSampleRate (const double samprate)
void | setSampleRate (const QString &rate) override
void | setXAxis (double min, double max)
void | setXLabel (const std::string &label)
void | setYAxis (double min, double max)
void | setYLabel (const std::string &label)
void | setIntensityRange (const double minIntensity, const double maxIntensity)
void | setMaxIntensity (const QString &m)
void | setMinIntensity (const QString &m)
void | setColorMap (unsigned int which, const int newType, const QColor lowColor=QColor("white"), const QColor highColor=QColor("white"))
void | setAlpha (unsigned int which, unsigned int alpha)
void | autoScale (bool en=false) override
Public Slots inherited from DisplayForm
void | mousePressEvent (QMouseEvent *e) override
void | customEvent (QEvent *e) override=0
void | closeEvent (QCloseEvent *e) override
void | setUpdateTime (double t)
void | setTitle (const QString &title)
void | setLineLabel (unsigned int which, const QString &label)
void | setLineColor (unsigned int which, const QString &color)
void | setLineWidth (unsigned int which, unsigned int width)
void | setLineStyle (unsigned int which, Qt::PenStyle style)
void | setLineMarker (unsigned int which, QwtSymbol::Style style)
void | setMarkerAlpha (unsigned int which, unsigned int alpha)
QString | title ()
QString | lineLabel (unsigned int which)
QString | lineColor (unsigned int which)
int | lineWidth (unsigned int which)
Qt::PenStyle | lineStyle (unsigned int which)
QwtSymbol::Style | lineMarker (unsigned int which)
int | markerAlpha (unsigned int which)
virtual void | setSampleRate (const QString &rate)
void | setStop (bool on)
void | setStop ()
void | setGrid (bool on)
void | setAxisLabels (bool en)
void | saveFigure ()
void | disableLegend ()

## Public Member Functions
| TimeRasterDisplayForm (int nplots=1, double samp_rate=1, double rows=1, double cols=1, double zmax=1, QWidget *parent=0)
| ~TimeRasterDisplayForm () override
TimeRasterDisplayPlot * | getPlot () override
double | numRows ()
double | numCols ()
int | getColorMap (unsigned int which)
int | getAlpha (unsigned int which)
double | getMinIntensity (unsigned int which)
double | getMaxIntensity (unsigned int which)
Public Member Functions inherited from DisplayForm
| DisplayForm (int nplots=1, QWidget *parent=0)
| ~DisplayForm () override
void | Reset ()
void | enableMenu (bool en=true)

## Additional Inherited Members
Signals inherited from DisplayForm
void | plotPointSelected (const QPointF p, int type)
void | toggleGrid (bool en)
Protected Attributes inherited from DisplayForm
unsigned int | d_nplots
QGridLayout * | d_layout
DisplayPlot * | d_display_plot
bool | d_system_specified_flag
QwtPlotGrid * | d_grid
bool | d_menu_on
QMenu * | d_menu
QAction * | d_stop_act
bool | d_stop_state
QAction * | d_grid_act
bool | d_grid_state
QAction * | d_axislabelsmenu
bool | d_axislabels
QAction * | d_autoscale_act
bool | d_autoscale_state
QList< QMenu * > | d_lines_menu
QList< LineTitleAction * > | d_line_title_act
QList< LineColorMenu * > | d_line_color_menu
QList< LineWidthMenu * > | d_line_width_menu
QList< LineStyleMenu * > | d_line_style_menu
QList< LineMarkerMenu * > | d_line_marker_menu
QList< MarkerAlphaMenu * > | d_marker_alpha_menu
PopupMenu * | d_samp_rate_act
QAction * | d_save_act
double | d_update_time

## Detailed Description

DisplayForm child for managing time raster plots.

## Constructor & Destructor Documentation

## ◆ TimeRasterDisplayForm()

TimeRasterDisplayForm::TimeRasterDisplayForm | ( | int | nplots = 1,
|  | double | samp_rate = 1,
|  | double | rows = 1,
|  | double | cols = 1,
|  | double | zmax = 1,
|  | QWidget * | parent = 0 )

## ◆ ~TimeRasterDisplayForm()

TimeRasterDisplayForm::~TimeRasterDisplayForm | ( |  | ) |
| override

## Member Function Documentation

## ◆ autoScale

void TimeRasterDisplayForm::autoScale | ( | bool | en = false | ) |
| overrideslot

## ◆ customEvent

void TimeRasterDisplayForm::customEvent | ( | QEvent * | e | ) |
| overrideslot

## ◆ getAlpha()

int TimeRasterDisplayForm::getAlpha | ( | unsigned int | which | ) |

## ◆ getColorMap()

int TimeRasterDisplayForm::getColorMap | ( | unsigned int | which | ) |

## ◆ getMaxIntensity()

double TimeRasterDisplayForm::getMaxIntensity | ( | unsigned int | which | ) |

## ◆ getMinIntensity()

double TimeRasterDisplayForm::getMinIntensity | ( | unsigned int | which | ) |

## ◆ getPlot()

TimeRasterDisplayPlot * TimeRasterDisplayForm::getPlot | ( |  | ) |
| overridevirtual

Implements DisplayForm.

## ◆ numCols()

double TimeRasterDisplayForm::numCols | ( |  | ) |

## ◆ numRows()

double TimeRasterDisplayForm::numRows | ( |  | ) |

## ◆ setAlpha

void TimeRasterDisplayForm::setAlpha | ( | unsigned int | which,
|  | unsigned int | alpha )
| slot

## ◆ setColorMap

void TimeRasterDisplayForm::setColorMap | ( | unsigned int | which,
|  | const int | newType,
|  | const QColor | lowColor = QColor("white"),
|  | const QColor | highColor = QColor("white") )
| slot

## ◆ setIntensityRange

void TimeRasterDisplayForm::setIntensityRange | ( | const double | minIntensity,
|  | const double | maxIntensity )
| slot

## ◆ setMaxIntensity

void TimeRasterDisplayForm::setMaxIntensity | ( | const QString & | m | ) |
| slot

## ◆ setMinIntensity

void TimeRasterDisplayForm::setMinIntensity | ( | const QString & | m | ) |
| slot

## ◆ setNumCols [1/2]

void TimeRasterDisplayForm::setNumCols | ( | double | cols | ) |
| slot

## ◆ setNumCols [2/2]

void TimeRasterDisplayForm::setNumCols | ( | QString | cols | ) |
| slot

## ◆ setNumRows [1/2]

void TimeRasterDisplayForm::setNumRows | ( | double | rows | ) |
| slot

## ◆ setNumRows [2/2]

void TimeRasterDisplayForm::setNumRows | ( | QString | rows | ) |
| slot

## ◆ setSampleRate [1/2]

void TimeRasterDisplayForm::setSampleRate | ( | const double | samprate | ) |
| slot

## ◆ setSampleRate [2/2]

void TimeRasterDisplayForm::setSampleRate | ( | const QString & | rate | ) |
| overrideslot

## ◆ setXAxis

void TimeRasterDisplayForm::setXAxis | ( | double | min,
|  | double | max )
| slot

## ◆ setXLabel

void TimeRasterDisplayForm::setXLabel | ( | const std::string & | label | ) |
| slot

## ◆ setYAxis

void TimeRasterDisplayForm::setYAxis | ( | double | min,
|  | double | max )
| slot

## ◆ setYLabel

void TimeRasterDisplayForm::setYLabel | ( | const std::string & | label | ) |
| slot

The documentation for this class was generated from the following file:

- timerasterdisplayform.h